class_name PlayerData
extends Resource

@export var username: String

## How many plants are watered in a time window.
var _water_combo: int
@warning_ignore("unused_signal")
signal water_combo_update(current: int)


func chain_water_combo(amount: int) -> void:
	_water_combo += amount
	emit_signal("water_combo_update", _water_combo)

func reset_water_combo() -> void:
	_water_combo = 0
	emit_signal("water_combo_update", _water_combo)
